MONGOC_AUTO_ENCRYPTION_OPTS_SET_BYPASS_QUERY_ANALYSIS(3)

NAME
mongoc_auto_encryption_opts_set_bypass_query_analysis - mongoc_auto_encryption_opts_set_bypass_query_analysis()

SYNOPSIS

void
mongoc_auto_encryption_opts_set_bypass_query_analysis (
   mongoc_auto_encryption_opts_t *opts, bool bypass_query_analysis);

New in version 1.22.0.

PARAMETERS

•   opts: The mongoc_auto_encryption_opts_t

•   bypass_query_analysis: A boolean.

    bypass_query_analysis disables automatic analysis of outgoing commands. bypass_query_analysis is useful for encrypting indexed fields without the crypt_shared library or mongocryptd process. Set bypass_query_analysis to true to use explicit encryption on indexed fields.

    SEE ALSO:
    mongoc_client_enable_auto_encryption()

    In-Use Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc